#!/bin/sh

BASEDIR="$(dirname $0)"

if [ -r "$BASEDIR/truecrypt_config.cfg" ]
then
	. "$BASEDIR/truecrypt_config.cfg"
else
	echo "truecrypt_config.cfg not found" >&2
	exit 1
fi

devicelist="$($tc_cmd -l)"
result="$?"

if [ "$result" != "0" ]
then
	exit 1
fi

# can't do this on the original command because of /bin/sh -> dash -> no PIPESTATUS -.-
devicelist=$(echo $devicelist | awk '{ print $2}')

echo "$devicelist"
exit 0